package com.ruoyi.manage.mapper;

import com.ruoyi.manage.domain.ChannelNumber;
import java.util.List;

/**
 * 通道管理Mapper接口
 * 
 * @author boman
 * @date 2025-05-07
 */
public interface ChannelNumberMapper 
{
    /**
     * 查询通道管理
     * 
     * @param channelId 通道管理主键
     * @return 通道管理
     */
    public ChannelNumber selectChannelNumberByChannelId(Long channelId);

    /**
     * 查询通道管理列表
     * 
     * @param channelNumber 通道管理
     * @return 通道管理集合
     */
    public List<ChannelNumber> selectChannelNumberList(ChannelNumber channelNumber);

    /**
     * 新增通道管理
     * 
     * @param channelNumber 通道管理
     * @return 结果
     */
    public int insertChannelNumber(ChannelNumber channelNumber);

    /**
     * 修改通道管理
     * 
     * @param channelNumber 通道管理
     * @return 结果
     */
    public int updateChannelNumber(ChannelNumber channelNumber);

    /**
     * 删除通道管理
     * 
     * @param channelId 通道管理主键
     * @return 结果
     */
    public int deleteChannelNumberByChannelId(Long channelId);

    /**
     * 批量删除通道管理
     * 
     * @param channelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteChannelNumberByChannelIds(Long[] channelIds);
}
